Name:           python-iso8601
Version:        0.1.11
Release:        2
Summary:        Simple module to parse ISO 8601 dates
License:        MIT
URL:            https://pypi.org/project/iso8601/
Source:         http://pypi.python.org/packages/source/i/iso8601/iso8601-%{version}.tar.gz

BuildArch:      noarch

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python2-iso8601
Summary:        Simple module to parse ISO 8601 dates
%{?python_provide:%python_provide python2-iso8601}
Provides:       python-iso8601 = %{version}-%{release}
Obsoletes:      python-iso8601 < 0.1.10-6
BuildRequires:  python2-devel python-setuptools

%description -n python2-iso8601
The package parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-iso8601
Summary:        Simple module to parse ISO 8601 dates
%{?python_provide:%python_provide python3-iso8601}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-iso8601
The package parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%autosetup -n iso8601-%{version} -p1

%build
%{__python2} setup.py build
%{__python3} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python2-iso8601
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-iso8601
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Wed Nov 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.11-2
- Package init
